machiflex2/api/urls.py
from django.urls import path, include
from rest_framework import routers
from . import views

from rest_framework_simplejwt.views import (
    TokenRefreshView,
)


app_name ="api"

router = routers.DefaultRouter()
router.register(r"jsonTecnicos", views.Tecnicojson)
router.register(r"jsonUsuarios", views.Usuariosjson)
router.register(r"jsonTmaquina", views.Tmaquinajson)
router.register(r"jsonCambio", views.Cambiosjson)
router.register(r"jsonMarca", views.Marcajson)
router.register(r"jsonModelo", views.Modelojson)
router.register(r"jsonMaquina", views.Maquinajson)
router.register(r"jsonCita", views.Citajson)
router.register(r"jsonServicio", views.Serviciojson)
router.register(r"jsonServCambio", views.ServCambiojson)

urlpatterns = [
    path('cruds/', include(router.urls)),


    path('token/', views.MyTokenObtainPairView.as_view(), name='token_obtain_pair'),
    path('token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
    path('register/', views.RegisterView.as_view(), name='auth_register'),
    path('test/', views.testEndPoint, name='test'),
    path('', views.getRoutes)

]

machiflex2/core/urls.py
from django.urls import path
from core import views
from .models import *



app_name ="core"
urlpatterns = [
    
]

machiflex2/home/urls.py
from django.urls import path
from home import views


app_name ="home"
urlpatterns = [
    ##L O B B Y
    path('', views.Index.as_view(), name="index"),
    path('Nosotros/', views.Nosotros.as_view(), name="Nosotros"),
    path('signup/', views.SignUp.as_view(), name="signup"),
    path('logout/', views.LogOut.as_view(), name="logout"),
    ## U S E R
    path('detail/usuarios/<int:pk>/', views.List.as_view(), name="lista"),
    path('update/usuarios/<int:pk>/', views.Update.as_view(), name= "update"),
    ## M A C H I N E
    path('maquinas/', views.Lmaquinas.as_view(), name="maquinas"),
    path('detail/maquinas/<str:pk>/', views.DetailMaquina.as_view(), name= "detailmaquina"),
    path('create/maquinas/',views.CreateMaquina.as_view(), name="createmaquina"),
    path('update/maquinas/<str:pk>/', views.UpdateMaquinas.as_view(), name= "Updatemaquinas"),
    path('delete/maquina/<str:pk>/', views.DeleteMaquinas.as_view(), name= "deletemaquinas"),
    ## T E C H N I C I A N S
    path('Tecnicos/', views.ListaTecnicos.as_view(), name="ListaTecnicos"),
    path('detail/Tecnicos/<int:pk>/', views.DetailTecnicos.as_view(), name= "detailtecnicos"),
    path('create/Tecnicos/',views.CreateTecnicos.as_view(), name="createtecnicos"),
    path('update/Tecnicos/<int:pk>/', views.UpdateTecnicos.as_view(), name= "Updatetecnicos"),
    path('delete/Tecnicos/<int:pk>/', views.DeleteTecnicos.as_view(), name= "deletetecnicos"),
    ## U S 
    path('nosotros/historial/',views.Historial.as_view(), name="historial"),
    ## S E R V I C E
    path('list2/Servicios/',views.List2.as_view(), name="list2"),
    path('detail/Servicios/<int:pk>/', views.DetailServicio.as_view(), name= "detail2"),
    path('create/Servicios/',views.CreateServicio.as_view(), name="create2"),
    path('update/Servicios/<int:pk>/', views.UpdateServicios.as_view(), name= "Update2"),
    path('delete/Servicios/<int:pk>/', views.DeleteServicios.as_view(), name= "delete2"),
    ## C H A N G E  S E R V I C E
    path('nosotros/ServCamb', views.ListServCamb.as_view(), name="listaservcamb"),
    path('detail/ServCamb/<int:pk>/', views.DetailServCamb.as_view(), name= "DetailServCamb"),
    path('create/ServCamb/',views.CreateServCamb.as_view(), name="createServCamb"),
    path('update/ServCamb/<int:pk>/', views.UpdateServCamb.as_view(), name= "UpdateServCamb"),
    path('delete/ServCamb/<int:pk>/', views.DeleteServCamb.as_view(), name= "deleteServCamb"),
    ## C H A N G E S
    path('nosotros/Cambios', views.ListaCambios.as_view(), name="listacambios"),
    path('detail/Cambios/<str:pk>/', views.DetailCambios.as_view(), name= "DetailCambios"),
    path('create/Cambios/',views.CreateCambios.as_view(), name="createCambios"),
    path('update/Cambios/<str:pk>/', views.UpdateCambios.as_view(), name= "UpdateCambios"),
    path('delete/Cambios/<str:pk>/', views.DeleteCambios.as_view(), name= "deleteCambios"),
    ## A P P O I N T M E N T S
    path('nosotros/Citas', views.ListaCitas.as_view(), name="listacitas"),
     path('detail/Citas/<int:pk>/', views.DetailCita.as_view(), name= "DetailCita"),
     path('delete/Citas/<int:pk>/', views.DeleteCita.as_view(), name= "deleteCitas"),
     ## U S E R S
     path('nosotros/users', views.ListaUsers.as_view(), name="listausers"),
     path('detail/users/<int:pk>/', views.DetailUsers.as_view(), name= "DetailUsers"),
     path('update/users/<int:pk>/', views.UpdateUsers.as_view(), name= "UpdateUsers"),
     path('delete/users/<int:pk>/', views.DeleteUsers.as_view(), name= "deleteUsers"),
    ## C O N F I R M
    path('Confirmar/',views.CitaView.as_view(), name="Confirmar"),
    ## U B I C A T I O N
    path('nosotros/Ubicacion/', views.UbicacionView.as_view(), name="Ubicacion"),
]

machiflex2/principal/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('core/', include("core.urls")),
    path('', include("home.urls")),
    path('api/', include("api.urls")),
    path('api-auth/', include('rest_framework.urls')),
]

machiflex2/core/models.py
from django.db import models

# Create your models here.

machiflex2/core/views.py
from django.shortcuts import render

# Create your views here.

machiflex2/templates/core/ListaTecnicos.html
{% extends 'base/base.html' %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{%block title%} Lista Tecnicos {% endblock title %}</title>
</head>
<body>
    {% block content %}
    <a href="{% url 'home:createtecnicos' %}" class="btn btn-outline-primary form-control">Añadir nuevo Técnico!</a>
    <table class="table table-striped table-hover">
        <thead>
            <th>Número</th>
            <th>Nombre de pila</th>
            <th>Primer apellido</th>
            <th>Segundo apellido</th>
            <th>Número teléfonico</th>
            <th>Correo</th>
            <th>Usuario</th>
            <th>Contraseña</th>
        </thead>
        <tbody>
            {% for Tecnico in Tecnico %}
                <tr>
                    <td>{{ Tecnico.Numero }}</td>
                    <td>{{ Tecnico.NomPila }}</td>
                    <td>{{ Tecnico.PrimApell }}</td>
                    <td>{{ Tecnico.SegApell }}</td>
                    <td>{{ Tecnico.NumTel }}</td>
                    <td>{{ Tecnico.Correo }}</td>
                    <td>{{ Tecnico.Usuario }}</td>
                    <td>{{ Tecnico.Contraseña }}</td>
                    <td><a href="{% url 'home:detailtecnicos' Tecnico.Numero %}" class="btn btn-outline-info"> Detalles </a></td>
                    <td><a href="{% url 'home:Updatetecnicos' Tecnico.Numero %}" class="btn btn-outline-warning"> Actualizar</a></td>
                    <td><a href="{% url 'home:deletetecnicos' Tecnico.Numero %}" class="btn btn-outline-danger">Eliminar</a></td>
                </tr>
            {% endfor %}
        </tbody>
    </table>

    <footer class="text-center text-white" style="background-color: #0a4275;">
        <div class="container p-4 pb-0">
            <section class="">
                <p class="d-flex justify-content-center align-items-center">
                    <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
                </p>
            </section>
        </div>
        <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
            © 2023 Copyright:
            <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
        </div>
    </footer>

    {% endblock content %}
</body>
</html>

machiflex2/templates/core/ListaUsers.html
{% extends 'base/base.html' %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{%block title%} Lista Usuarios {% endblock title %}</title>
</head>
<body>
    {% block content %}
    <table class="table table-striped table-hover">
        <thead>
            <th>Número</th>
            <th>Nombre Moral</th>
            <th>Número teléfonico</th>
            <th>Nombre de Pila</th>
            <th>Primer apellido</th>
            <th>Segundo apellido</th>
        </thead>
        <tbody>
            {% for usuarios in usuarios %}
                <tr>
                    <td>{{ usuarios.Numero }}</td>
                    <td>{{ usuarios.Nombre }}</td>
                    <td>{{ usuarios.NumTel }}</td>
                    <td>{{ usuarios.ContNomPila }}</td>
                    <td>{{ usuarios.ContPrimApell }}</td>
                    <td>{{ usuarios.ContSegApell }}</td>
                    <td><a href="{% url 'home:DetailUsers' usuarios.Numero %}" class="btn btn-outline-info"> Detalles </a></td>
                    <td><a href="{% url 'home:UpdateUsers' usuarios.Numero %}" class="btn btn-outline-warning"> Actualizar</a></td>
                    <td><a href="{% url 'home:deleteUsers' usuarios.Numero %}" class="btn btn-outline-danger">Eliminar</a></td>
                </tr>
            {% endfor %}
        </tbody>
    </table>

    <footer class="text-center text-white" style="background-color: #0a4275;">
        <div class="container p-4 pb-0">
            <section class="">
                <p class="d-flex justify-content-center align-items-center">
                    <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
                </p>
            </section>
        </div>
        <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
            © 2023 Copyright:
            <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
        </div>
    </footer>

    {% endblock content %}
</body>
</html>

machiflex2/templates/core/Update2.html
{% extends "base/base.html" %}

{% block title %}
  Actualizar Servicios
{% endblock title %}

{% block content %}
<div class="container mt-4 d-flex justify-content-center align-items-center">
    <div class="card">
        <div class="card-header text-center">
            <h2>Actualizar Servicios</h2>
        </div>
        <div class="card-body text-center">
            <form action="" method="post" class="form">
                {% csrf_token %}
                {{ form }}
                <div class="text-center mt-3">
                    <button type="submit" class="btn btn-outline-primary">Actualizar Servicios</button>
                    <a href="{% url 'home:list2' %}" class="btn btn-outline-danger">Cancelar</a>
                </div>
            </form>
        </div>
    </div>
</div>

<footer class="fixed-bottom text-center text-white" style="background-color: #0a4275;">
    <div class="container p-4 pb-0">
        <section class="">
            <p class="d-flex justify-content-center align-items-center">
                <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
            </p>
        </section>
    </div>
    <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
        © 2023 Copyright:
        <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
    </div>
</footer>

{% endblock content %}

machiflex2/templates/core/create2.html
{% extends "base/base.html" %}

{% block title %}
  Agregar Servicio
{% endblock title %}

{% block content %}
<div class="container mt-4 d-flex justify-content-center align-items-center">
    <div class="card">
        <div class="card-header text-center">
            <h2>Agregar Servicio</h2>
        </div>
        <div class="card-body text-center">
            <form action="" method="post" class="form">
                {% csrf_token %}
                {{ form }}
                <div class="text-center mt-3">
                    <button type="submit" class="btn btn-outline-primary">Agregar Servicio</button>
                    <a href="{% url 'home:list2' %}" class="btn btn-outline-danger">Cancelar</a>
                </div>
            </form>
        </div>
    </div>
</div>

<footer class="fixed-bottom text-center text-white" style="background-color: #0a4275;">
    <div class="container p-4 pb-0">
        <section class="">
            <p class="d-flex justify-content-center align-items-center">
                <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
            </p>
        </section>
    </div>
    <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
        © 2023 Copyright:
        <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
    </div>
</footer>
{% endblock content %}

machiflex2/templates/core/deleteCita.html
{% extends "base/base.html" %}

{% block title %}
  Borrar Cita
{% endblock title %}

{% block content %}
<div class="container mt-4 d-flex justify-content-center align-items-center">
    <div class="card">
        <div class="card-header text-center">
            <h2>Borrar Cita</h2>
        </div>
        <div class="card-body">
            <form action="" method="post">
                {% csrf_token %}
                <p>¿Estás seguro que quieres eliminar a {{ object }}?</p>
                <div class="text-center mt-3">
                    <button type="submit" class="btn btn-outline-danger">Borrar Cita</button>
                    <a href="{% url 'home:listacitas' %}" class="btn btn-outline-primary">Cancelar</a>
                </div>
            </form>
        </div>
    </div>
</div>

<footer class="fixed-bottom text-center text-white" style="background-color: #0a4275;">
  <div class="container p-4 pb-0">
      <section class="">
          <p class="d-flex justify-content-center align-items-center">
              <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
          </p>
      </section>
  </div>
  <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
      © 2023 Copyright:
      <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
  </div>
</footer>

{% endblock content %}

machiflex2/templates/core/detail2.html
{% extends "base/base.html" %}

{% block title %} Detalle de Servicio {% endblock title %}

{% block content %}
<div class="container mt-4">
    <div class="card">
        <div class="card-header text-center">
            <h2>Detalles del Servicio</h2>
        </div>
        <div class="card-body text-center">
            <p><strong>Número:</strong> {{ servicio.Numero }}</p>
            <p><strong>Descripción:</strong> {{ servicio.Descripcion }}</p>

            <h3>Máquina</h3>
            <p><strong>Código:</strong> {{ servicio.Maquina.Codigo }}</p>
            <p><strong>Descripción:</strong> {{ servicio.Maquina.Descripcion }}</p>

            <h3>Cita</h3>
            <p><strong>Número:</strong> {{ servicio.Cita.Numero }}</p>
            <p><strong>Fecha:</strong> {{ servicio.Cita.Fecha }}</p>
            <p><strong>Hora:</strong> {{ servicio.Cita.Hora }}</p>
        </div>
        <div class="card-footer text-center">
            <a href="{% url 'home:list2' %}" class="btn btn-outline-primary">Regresar</a>
        </div>
    </div>
</div>

<footer class="fixed-bottom text-center text-white" style="background-color: #0a4275;">
    <div class="container p-4 pb-0">
        <section class="">
            <p class="d-flex justify-content-center align-items-center">
                <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
            </p>
        </section>
    </div>
    <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
        © 2023 Copyright:
        <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
    </div>
</footer>

{% endblock content %}

machiflex2/templates/core/detailCambios.html
{% extends "base/base.html" %}

{% block title %} Detalle del Cambio {% endblock title %}

{% block content %}
<div class="container mt-4 d-flex justify-content-center align-items-center">
    <div class="card">
        <div class="card-header text-center">
            <h2>Detalles del Cambio</h2>
        </div>
        <div class="card-body text-center">
            <p><strong>Código:</strong> {{ cambio.Codigo }}</p>
            <p><strong>Descripción:</strong> {{ cambio.Descripcion }}</p>
        </div>
        <div class="card-footer text-center">
            <a href="{% url 'home:listacambios' %}" class="btn btn-outline-primary">Regresar</a>
        </div>
    </div>
</div>

<footer class="fixed-bottom text-center text-white" style="background-color: #0a4275;">
    <div class="container p-4 pb-0">
        <section class="">
            <p class="d-flex justify-content-center align-items-center">
                <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
            </p>
        </section>
    </div>
    <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
        © 2023 Copyright:
        <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
    </div>
</footer>

{% endblock content %}

machiflex2/templates/core/detailCita.html
{% extends "base/base.html" %}

{% block title %} Detalle de la Cita {% endblock title %}

{% block content %}
<div class="container mt-4 d-flex justify-content-center align-items-center">
    <div class="card">
        <div class="card-header text-center">
            <h2>Detalles de la Cita</h2>
        </div>
        <div class="card-body text-center">
            <p><strong>Número:</strong> {{ cita.Numero }}</p>
            <p><strong>Fecha:</strong> {{ cita.Fecha }}</p>
            <p><strong>Hora:</strong> {{ cita.Hora }}</p>
            <p><strong>Número del Técnico:</strong> {{ cita.Tecnico }}</p>
            <p><strong>Usuario:</strong> {{ cita.Usuario }}</p>
            {% if cita.Usuario %}  {# Verificar si hay un usuario asociado a la cita #}
                <p><strong>Colonia:</strong> {{ cita.Usuario.Colonia }}</p>
                <p><strong>Calle:</strong> {{ cita.Usuario.Calle }}</p>
                <p><strong>Código Postal:</strong> {{ cita.Usuario.Cp }}</p>

            {% endif %}
        </div>
        <div class="card-footer text-center">
            <a href="{% url 'home:listacitas' %}" class="btn btn-outline-primary">Regresar</a>
        </div>
    </div>
</div>

<footer class="fixed-bottom text-center text-white" style="background-color: #0a4275;">
    <!-- Footer content -->
</footer>

{% endblock content %}

machiflex2/templates/core/detailMaquina.html
{% extends "base/base.html" %}

{% block title %} Detalle de la Máquina {% endblock title %}

{% block content %}
<div class="container mt-4 d-flex justify-content-center align-items-center">
    <div class="card">
        <div class="card-header">
            <h2 class="text-center">Detalles de la Máquina</h2>
        </div>
        <div class="card-body text-center">
            <p><strong>Código:</strong> {{ maquina.Codigo }}</p>
            <p><strong>Descripción:</strong> {{ maquina.Descripcion }}</p>
            <p><strong>Tipo de Máquina:</strong> {{ maquina.Tipo_Maquina }}</p>
            <p><strong>Marca:</strong> {{ maquina.Marca }}</p>
            <p><strong>Modelo:</strong> {{ maquina.Modelo }}</p>
        </div>
        <div class="card-footer text-center">
            <a href="{% url 'home:maquinas' %}" class="btn btn-outline-primary">Regresar</a>
        </div>
    </div>
</div>

<footer class="fixed-bottom text-center text-white" style="background-color: #0a4275;">
    <div class="container p-4 pb-0">
        <section class="">
            <p class="d-flex justify-content-center align-items-center">
                <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
            </p>
        </section>
    </div>
    <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
        © 2023 Copyright:
        <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
    </div>
</footer>

{% endblock content %}

machiflex2/templates/core/detailServCamb.html
{% extends "base/base.html" %}

{% block title %} Detalle de Servicio {% endblock title %}

{% block content %}
<div class="container mt-4 d-flex justify-content-center align-items-center">
    <div class="card">
        <div class="card-header text-center">
            <h2>Detalles del Servicio Cambio</h2>
        </div>
        <div class="card-body text-center">
            <p><strong>Servicio:</strong> {{ servcambio.Servicio.Numero }}</p>
            <p><strong>Cambio:</strong> {{ servcambio.Cambio.Descripcion }}</p>
            <p><strong>Descripción:</strong> {{ servcambio.Cantidad }}</p>
        </div>
        <div class="card-footer text-center">
            <a href="{% url 'home:listaservcamb' %}" class="btn btn-outline-primary">Regresar</a>
        </div>
    </div>
</div>

<footer class="fixed-bottom text-center text-white" style="background-color: #0a4275;">
    <div class="container p-4 pb-0">
        <section class="">
            <p class="d-flex justify-content-center align-items-center">
                <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
            </p>
        </section>
    </div>
    <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
        © 2023 Copyright:
        <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
    </div>
</footer>
{% endblock content %}

machiflex2/templates/core/detailTecnicos.html
{% extends "base/base.html" %}

{% block title %} Detalle del Técnico {% endblock title %}

{% block content %}
<div class="container mt-4 d-flex justify-content-center align-items-center">
    <div class="card">
        <div class="card-header text-center">
            <h2>Detalles del Técnico</h2>
        </div>
        <div class="card-body text-center">
            <p><strong>Número:</strong> {{ tecnico.Numero }}</p>
            <p><strong>Nombre de pila:</strong> {{ tecnico.NomPila }}</p>
            <p><strong>Primer apellido:</strong> {{ tecnico.PrimApell }}</p>
            <p><strong>Segundo apellido:</strong> {{ tecnico.SegApell }}</p>
            <p><strong>Número telefónico:</strong> {{ tecnico.NumTel }}</p>
            <p><strong>Correo:</strong> {{ tecnico.Correo }}</p>
            <p><strong>Usuario:</strong> {{ tecnico.Usuario }}</p>
            <p><strong>Contraseña:</strong> {{ tecnico.Contraseña }}</p>
        </div>
        <div class="card-footer text-center">
            <a href="{% url 'home:ListaTecnicos' %}" class="btn btn-outline-primary">Regresar</a>
        </div>
    </div>
</div>

<footer class="fixed-bottom text-center text-white" style="background-color: #0a4275;">
    <div class="container p-4 pb-0">
        <section class="">
            <p class="d-flex justify-content-center align-items-center">
                <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
            </p>
        </section>
    </div>
    <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
        © 2023 Copyright:
        <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
    </div>
</footer>
{% endblock content %}

machiflex2/templates/core/detailUsers.html
{% extends "base/base.html" %}

{% block title %} Detalle del Usuario {% endblock title %}

{% block content %}
<div class="container mt-4 d-flex justify-content-center align-items-center">
 <div class="card">
 <div class="card-header text-center">
 <h2>Detalles del Usuario</h2>
 </div>
 <div class="card-body text-center">
 <p><strong>Número:</strong> {{ usuarios.Numero }}</p>
 <p><strong>Nombre Moral:</strong> {{ usuarios.Nombre }}</p>
 <p><strong>Numero teléfonico:</strong> {{ usuarios.NumTel }}</p>
 <p><strong>Nombre de pila:</strong> {{ usuarios.ContNomPila }}</p>
 <p><strong>Primer apellido:</strong> {{ usuarios.ContPrimApell }}</p>
 <p><strong>Segundo apellido:</strong> {{ usuarios.ContSegApell }}</p>
 </div>
 <div class="card-footer text-center">
 <a href="{% url 'home:listausers' %}" class="btn btn-outline-primary">Regresar</a>
 </div>
 </div>
</div>

<footer class="fixed-bottom text-center text-white" style="background-color: #0a4275;">
 <div class="container p-4 pb-0">
 <section class="">
 <p class="d-flex justify-content-center align-items-center">
 <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
 </p>
 </section>
 </div>
 <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
 © 2023 Copyright:
 <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
 </div>
</footer>

{% endblock content %}

machiflex2/templates/core/list.html
{% extends "base/base.html" %}

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title> {% block title %} Detalles del usuario {% endblock title %} </title>
</head>
<body>
  {% block content %}
  <div class="container mt-4 d-flex justify-content-center align-items-center">
    <div class="card">
        <div class="card-header text-center">
            <h2>Información de la cuenta</h2>
        </div>
        <div class="card-body text-center">
            <p><strong>Username:</strong> {{ user }}</p>
            <p><strong>Nombre Moral:</strong> {{ user.usuarios.Nombre }}</p>
            <p><strong>Número de teléfono:</strong> {{ user.usuarios.NumTel }}</p>
            <p><strong>Nombre de pila:</strong> {{ user.usuarios.ContNomPila }}</p>
            <p><strong>Primer apellido:</strong> {{ user.usuarios.ContPrimApell }}</p>
            <p><strong>Segundo apellido:</strong> {{ user.usuarios.ContSegApell }}</p>
            <p><strong>Colonia:</strong> {{ user.usuarios.Colonia }}</p>
            <p><strong>Calle:</strong> {{ user.usuarios.Calle }}</p>
            <p><strong>Código Postal:</strong> {{ user.usuarios.Cp }}</p>
        </div>
        <div class="card-footer text-center">
            <a href="{% url 'home:update' user.usuarios.Numero %}" class="btn btn-outline-primary">Actualizar Datos</a>
        </div>
    </div>
</div>

    <footer class="fixed-bottom text-center text-white" style="background-color: #0a4275;">
      <div class="container p-4 pb-0">
          <section class="">
              <p class="d-flex justify-content-center align-items-center">
                  <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
              </p>
          </section>
      </div>
      <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
          © 2023 Copyright:
          <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
      </div>
  </footer>

  {% endblock content %}
</body>
</html>